> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate

> text translate



## OpenAPI

````yaml api-reference/openapi.json post /v1/aicc/aicc-translator
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Get Model List
  - name: Text completion
  - name: Translator
  - name: OpenAI Chat
  - name: OpenAI Response
  - name: Claude Messages
  - name: Gemini Generate Content
  - name: Video Task
  - name: Sora Video Task
paths:
  /v1/aicc/aicc-translator:
    post:
      tags:
        - Translator
      summary: Create text translate
      description: text translate
      operationId: createTranslator
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranslateRequest'
            examples:
              Default:
                summary: examples
                value:
                  texts:
                    - hello. world!
                    - <b>hello. google!</b>
                    - <i>hello. AI Translate!</i>
                    - >-
                      <notranslate class="notranslate">don't translate
                      me!</notranslate>
                  tl: ja
                  sl: en
        required: true
      responses:
        '200':
          description: Response created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranslateResponse'
              examples:
                Default:
                  summary: examples
                  value:
                    texts:
                      - hello. world!
                      - <b>hello. google!</b>
                      - <i>hello. AI Translate!</i>
                      - >-
                        <notranslate class="notranslate">don't translate
                        me!</notranslate>
                    tl: ja
                    sl: en
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    TranslateRequest:
      type: object
      required:
        - texts
        - tl
      properties:
        texts:
          type: array
          description: Original text
          items:
            type: string
        tl:
          type: string
          description: target language
        sl:
          type: string
          description: source language
    TranslateResponse:
      type: object
      properties:
        texts:
          type: array
          description: Target text
          items:
            type: string
          example:
            - こんにちは世界！
            - <b>こんにちは。グーグル！</b>
            - <i>こんにちは。AI翻訳です！</i>
            - <notranslate class="notranslate">don't translate me!</notranslate>
        tl:
          type: string
          description: target language
          example: ja
        code:
          type: integer
          description: status code
          example: '200'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````